apiVersion: argoproj.io/v1alpha1
kind: ApplicationSet
metadata:
  name: gitops-bootstrap
  namespace: openshift-gitops
spec:
  generators:
    - list:
        elements:
          - argoapp: gitops-bootstrap-applicationsets
            subPath: '/overlays/cluster'
            appproj: default
            namespace: openshift-gitops

          - argoapp: gitops-bootstrap-resources
            subPath: ''
            appproj: default
            namespace: openshift-gitops

          - argoapp: sealed-secrets
            subPath: ''
            appproj: cluster-infra
            namespace: kube-system

          - argoapp: sealed-secrets-settings
            subPath: ''
            appproj: cluster-infra
            namespace: kube-system

          - argoapp: gitops-init-applicationsets
            subPath: '/overlays/cluster'
            appproj: gitops-bootstrap
            namespace: openshift-gitops
  template:
    metadata:
      name: '{{argoapp}}'
    spec:
      project: '{{appproj}}'
      source:
        repoURL: changeit # https://gitlab.com/gitops-public/openshift/gitops-bootstrap.git
        targetRevision: changeit # env/systex-b30f
        path: '{{argoapp}}{{subPath}}'
      destination:
        name: in-cluster
        server: ''
        namespace: '{{namespace}}'